# Proxy List

## Basic

You should receive a URL to your proxy list from your Dedicated Account Manager or our Support, and it should look something like this:

`https://proxy.oxylabs.io/key/a27c5343ce4c4637a85a9297ddf1cace`

Open this URL in your browser (or any other preferred software). You will then be asked to enter your login credentials (HTTP Basic Authentication):

![](https://63892162-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FzrXw45naRpCZ0Ku9AjY1%2Fuploads%2FYvojdt6Tz5HBLvnbjjGU%2Fauth_required.png?alt=media\&token=ef07b69b-cf0f-4934-b407-fada167e5cc3)

Once you do that, you will have a list of proxies in plain text.&#x20;

If you have multiple lists and wish to get all IPs assigned to your account, you can use this URL:

`https://proxy.oxylabs.io/all`

You can also include `?showCountry` or `?showCity` at the end of your URL to get IPs with their corresponding locations.

```
127.0.0.1:60000
127.0.0.2:60000
127.0.0.3:60000
127.0.0.4:60000
```

## RESTful

### Showing All Available Proxy Lists

With this endpoint, you can retrieve proxy lists that belong to your user:

`GET https://api.oxylabs.io/v1/proxies/lists`

#### Code examples

{% tabs %}
{% tab title="cURL" %}

```shell
curl -u username:password "https://api.oxylabs.io/v1/proxies/lists"
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, "https://api.oxylabs.io/v1/proxies/lists");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_USERPWD, 'username:password');

$result = curl_exec($curl);
?>
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
requests.get('https://api.oxylabs.io/v1/proxies/lists', auth=('username', 'password'))
```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Net;
using System.Text;

class Example
{
    static void Main()
    {
        HttpClient client = new HttpClient();
        var byteArray = Encoding.ASCII.GetBytes("username:password");
        client.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue("Basic", Convert.ToBase64String(byteArray));
        var task = Task.Run(async () => {
            var response = await client.GetAsync("https://api.oxylabs.io/v1/proxies/lists");
            var content = response.Content;
            var result = await content.ReadAsStringAsync();
            return result;
        }); 
        task.Wait();
    
        Console.WriteLine(task.Result);
    }
}
```

{% endtab %}
{% endtabs %}

#### Sample output

```shell
[
  {
    "uuid": "123e4567-e89b-12d3-a456-426655440000",
    "key": "12345678",
    "updated_timestamp": "2016-09-28T13:03:50+0300",
    "ips_count": 2000,
    "href": "http://api.oxylabs.io/v1/proxies/lists/123e4567-e89b-12d3-a456-426655440000"
  }
]
```

### Retrieving a Specific Proxy List

With this endpoint, you can retrieve a specific proxy list:

`GET https://api.oxylabs.io/v1/proxies/lists/{uuid}`

#### Request parameter

| Parameter | Description                            |
| --------- | -------------------------------------- |
| `uuid`    | The uuid of the proxy-list to retrieve |

#### Code examples

{% tabs %}
{% tab title="cURL" %}

```shell
curl -u username:password "https://api.oxylabs.io/v1/proxies/lists/{uuid}"
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, "https://api.oxylabs.io/v1/proxies/lists/{uuid}");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_USERPWD, 'username:password');
?>
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
requests.get('https://api.oxylabs.io/v1/proxies/lists/{uuid}', auth=('username', 'password'))
```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Net;
using System.Text;

class Example
{
    static void Main()
    {
        HttpClient client = new HttpClient();
        var byteArray = Encoding.ASCII.GetBytes("username:password");
        client.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue("Basic", Convert.ToBase64String(byteArray));
        var task = Task.Run(async () => {
            var response = await client.GetAsync("https://api.oxylabs.io/v1/proxies/lists/{uuid}");
            var content = response.Content;
            var result = await content.ReadAsStringAsync();
            return result;
        }); 
        task.Wait();
    
        Console.WriteLine(task.Result);
    }
}
```

{% endtab %}
{% endtabs %}

#### Sample output

```shell
[
  {
    "ip": "127.0.0.1",
    "port": "60000",
    "country": "BE",
    "city": "Brussels",
    "created_at": "2022-04-06 13:03:10"
  },
  { 
    "ip": "127.0.0.2",
    "port": "60000",
    "country": "BE",
     "city": "Brussels",
    "created_at": "2022-04-06 13:03:10"
  }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.oxylabs.io/proxies/dedicated-datacenter-proxies/enterprise/proxy-lists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
